Bug 732025 - [RFE] Make rows in jobs view thin (patch included)
Summary: [RFE] Make rows in jobs view thin (patch included)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 14:11 UTC by Marian Ganisin
Modified: 2019-05-22 13:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-27 01:38:11 UTC


Attachments (Terms of Use)
patch (1.44 KB, patch)
2011-08-19 14:11 UTC, Marian Ganisin
no flags Details | Diff
screenshot of padding on job page (157.03 KB, image/png)
2012-07-17 04:35 UTC, Dan Callaghan
no flags Details
This is with a narrow screen (205.19 KB, image/jpeg)
2012-07-19 01:31 UTC, Raymond Mancy
no flags Details

Description Marian Ganisin 2011-08-19 14:11:17 UTC
Created attachment 519043 [details]
patch

Wide rows in jobs list don't make orientation easy. Thin are much better (and nicer) in my opinion.

It is very good idea to apply patch from Bug 732024 before (or together with) this one. That patch provides coloring which is very helpful for orientation and will be important in case of thin rows.

Attached patch wasn't tested, I haven't beaker instance for testing. I didn't
even study beaker internals carefully. Please review it with care, avoid
possible issues introduced be me. ;)

Comment 1 Raymond Mancy 2012-05-14 00:45:23 UTC
Apologies, these are being bumped to next maint release.

Comment 2 Raymond Mancy 2012-06-15 00:01:37 UTC
http://gerrit.beaker-project.org/#/c/1137/1

Comment 5 Dan Callaghan 2012-07-17 04:35:04 UTC
Created attachment 598548 [details]
screenshot of padding on job page

Export link on job page has weird left padding (see attached screenshot). Probably just needs class="job-action" removed from it on this page, or the CSS rule for job-action updated to be specific to the grid.

Comment 6 Raymond Mancy 2012-07-18 01:54:41 UTC
What's even worse, is that the only thing keeping the 'Clone Delete Export' on seperate lines is that the 'Delete' is now a block level element and clears both left and right. When we don't have 'Cancel' instead of 'Delete', they are all shown on the same line (ala the jobs page), which just looks wrong.

Comment 7 Raymond Mancy 2012-07-18 02:01:28 UTC
When we *do* have Cancel rather...

Comment 8 Raymond Mancy 2012-07-18 02:09:26 UTC
http://gerrit.beaker-project.org/#/c/1220/

Comment 9 Marian Ganisin 2012-07-18 08:05:33 UTC
(In reply to comment #6)
> What's even worse, is that the only thing keeping the 'Clone Delete Export'
> on seperate lines is that the 'Delete' is now a block level element and
> clears both left and right. When we don't have 'Cancel' instead of 'Delete',
> they are all shown on the same line (ala the jobs page), which just looks
> wrong.

Why do same elements have different rendering options? Patch in this bug just removed br tags and added brackets for better separation of links, neither padding nor any other formatting. Elements were all inline (despite to different classes assigned what is still little bit weird for unfamiliar person) and as far as I can say it is working quite fine. Why to not implement it that way?

Comment 10 Raymond Mancy 2012-07-18 22:48:33 UTC
(In reply to comment #9)
> (In reply to comment #6)
> > What's even worse, is that the only thing keeping the 'Clone Delete Export'
> > on seperate lines is that the 'Delete' is now a block level element and
> > clears both left and right. When we don't have 'Cancel' instead of 'Delete',
> > they are all shown on the same line (ala the jobs page), which just looks
> > wrong.
> 
> Why do same elements have different rendering options? Patch in this bug
> just removed br tags and added brackets for better separation of links,
> neither padding nor any other formatting. Elements were all inline (despite
> to different classes assigned what is still little bit weird for unfamiliar
> person) and as far as I can say it is working quite fine. Why to not
> implement it that way?


The main reason why we got rid of the brackets is that similar actions on other pages use them, so we just thought we would try and keep it consistent.

The only issue was that there was another change which changed 'Delete' to be a block level element, and so items would display differently depending on whether 'Delete' was shown or not.

Comment 11 Raymond Mancy 2012-07-19 01:31:00 UTC
Created attachment 599027 [details]
This is with a narrow screen

Comment 12 Raymond Mancy 2012-07-19 01:32:49 UTC
Because of 822492, a whiteboard entry of sufficient size (or a narrow screen) can cause the action items to wrap. http://gerrit.beaker-project.org/#/c/1226/

Comment 13 Dan Callaghan 2012-07-27 01:38:11 UTC
Oops, I missed closing this bug.

Beaker 0.9.1 was released last week.


Note You need to log in before you can comment on or make changes to this bug.